package pah;

import cz.agents.alite.vis.VisManager;
import cz.agents.alite.vis.layer.VisLayer;
import java.util.List;
import tacv.universe.entity.car.AbstractCarAgent;
import tacv.universe.environment.AgentScoutEnvironment.AgentScoutEnvironmentHandler;
import tacv.util.Point;

/**
 *
 * @author Jiri Vokrinek
 */
public abstract class PahCarAgent extends AbstractCarAgent {

    public PahCarAgent(String name, AgentScoutEnvironmentHandler handler) {
        super(name, handler);
        VisManager.registerLayer(getPlanLayer());
    }

    abstract void submitPlan(List<Point> waypoints);

    abstract VisLayer getPlanLayer();
}
