package tacv.util;

//import aglobe.util.AglobeXMLtools;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

public class XmlLoader {

    public static Object loadXml(String filename, String packageName) {
        try {
            FileInputStream file = new FileInputStream(filename);
            JAXBContext jc = JAXBContext.newInstance(packageName);
            Unmarshaller unmarshaller = jc.createUnmarshaller();
            return unmarshaller.unmarshal(file);
        }
        catch (JAXBException ex) {
        	ex.printStackTrace();
            return null;
        }
        catch (FileNotFoundException ex) {
        	ex.printStackTrace();
            return null;
        }
    }
}
